<mat-toolbar class="mat-toolbar-fix flex between-stretch">
  <!-- *ngIf="isHandset$ | async" -->
  <button class="movil" *ngIf="viewSidenav" type="button" aria-label="Toggle sidenav" mat-icon-button
    (click)="drawer.toggle()">
    <mat-icon aria-label="Side nav toggle icon">menu</mat-icon>
  </button>
  <div class="flex between-center">
    <div class="logo movil-none" [routerLink]="['/index']">
      <img src="./assets/images/logo.png" alt="Logo">
    </div>
  </div>
  <div class="flex center-center" style="flex: 1;">
    <div class="content-search flex center-center">
      <input [formControl]="searchKey" placeholder="Buscar produtos" class="search" />
      <i class="material-icons search-icon">search</i>
    </div>
  </div>
  <div class="flex center-center">
    <!-- <button *ngIf="url!='/login' && !loginManager.isAuth()" mat-stroked-button [routerLink]="['/login']">Entrar</button> -->
    <!-- <button *ngIf="url!='/login' && loginManager.isAuth()" (click)="loginManager.logout()" mat-stroked-button>Salir</button> -->
    <button class="movil-none" *ngIf="url!='/login' && true" [routerLink]="['/my-cart']" mat-icon-button>
      <mat-icon [matBadge]="quantityCart?quantityCart:null" matBadgeColor="primary">shopping_cart</mat-icon>
    </button>
    <button class="movil-none" *ngIf="url!='/login' && !true" mat-button [routerLink]="['/login']">Entrar</button>
    <button class="movil-none" *ngIf="url!='/login' && true" (click)="logout()" mat-button>
      Salir
      <mat-icon>exit_to_app</mat-icon>
    </button>
    <button class="movil" mat-icon-button [matMenuTriggerFor]="menu" aria-label="menu">
      <mat-icon>more_vert</mat-icon>
    </button>
    <mat-menu #menu="matMenu">
      <button *ngIf="url!='/login' && true" [routerLink]="['/my-cart']" mat-menu-item>
        <mat-icon>shopping_cart</mat-icon>
        <span>Mi carrito</span>
      </button>
      <button *ngIf="url!='/login' && !true" [routerLink]="['/login']" mat-menu-item>
        <mat-icon>transit_enterexit</mat-icon>
        <span>Entrar</span>
      </button>
      <button *ngIf="url!='/login' && true" (click)="logout()" mat-menu-item>
        <mat-icon>exit_to_app</mat-icon>
        <span>Salir</span>
      </button>
    </mat-menu>
  </div>
</mat-toolbar>
<mat-sidenav-container class="sidenav-container">
  <mat-sidenav #drawer class="sidenav" [fixedTopGap]="55" fixedInViewport="true"
    [attr.role]="(isHandset$ | async) ? 'dialog' : 'navigation'" [mode]="(isHandset$ | async) ? 'over' : 'side'"
    [opened]="!(isHandset$ | async) && viewSidenav">
    <mat-toolbar style="justify-content: center">Filtros</mat-toolbar>
    <mat-nav-list style="display: flex" class="filters column center-center">
      <div mat-list-item>
        <mat-accordion>
          <mat-expansion-panel>
            <mat-expansion-panel-header>
              <mat-panel-title class="flex between-center">
                <mat-icon (click)="selectCategory = null;addFilter({ categories: null })">
                  {{selectCategory? 'close': 'category'}}</mat-icon>
                {{selectCategory? selectCategory.name: 'Categorias'}}
              </mat-panel-title>
            </mat-expansion-panel-header>
            <button class="animated bounceInLeft" *ngFor="let cat of road.current" style="width: 150px" mat-button
              (click)="nextCategory(cat)">
              <span>{{cat.name}}</span>
            </button>
            <button *ngIf="road.road" class="animated bounceIn" style="width: 150px" mat-button
              (click)="backCategory()">
              <mat-icon>arrow_back</mat-icon>
            </button>
          </mat-expansion-panel>
        </mat-accordion>
      </div>
      <div class="flex center-center" mat-list-item>
        <i class="material-icons">store_mall_directory</i>
        <span>Disponibles</span>
        <mat-slide-toggle [formControl]="available" style="margin-left: 15px"></mat-slide-toggle>
      </div>
      <div mat-list-item>
        <mat-form-field style="width: 150px">
          <i matPrefix class="material-icons">trending_up</i>
          <input [formControl]="minStock" type="number" min="1" autocomplete="off" matInput placeholder="Min Stock">
        </mat-form-field>
      </div>
      <div class="flex column" mat-list-item>
        <span>Precio</span>
        <div class="flex">
          <mat-form-field class="number">
            <input [formControl]="minPrice" autocomplete="off" matInput placeholder="min" type="number">
            <span matPrefix>$&nbsp;</span>
          </mat-form-field>
          <mat-form-field class="number">
            <input [formControl]="maxPrice" autocomplete="off" matInput placeholder="max" type="number">
            <span matPrefix>$&nbsp;</span>
          </mat-form-field>
        </div>
      </div>
      <mat-toolbar style="justify-content: center">Ordenar</mat-toolbar>
      <div  mat-list-item>
        <mat-radio-group [formControl]="order" class="flex column" aria-label="Select an option">
          <mat-radio-button value="price">Precio</mat-radio-button>
          <mat-radio-button value="available">Disponibilidad</mat-radio-button>
          <mat-radio-button value="quantity">Cantidad</mat-radio-button>
        </mat-radio-group>
      </div>

    </mat-nav-list>
  </mat-sidenav>
  <mat-sidenav-content>
    <ng-content select="[content]"></ng-content>
  </mat-sidenav-content>
</mat-sidenav-container>